com.holonplatform.vaadin.components.builders

## Interface PanelBuilder

- All Superinterfaces:
    ComponentBuilder<com.vaadin.ui.Panel,PanelBuilder>, ComponentConfigurator<PanelBuilder>, SingleComponentContainerBuilder<com.vaadin.ui.Panel,PanelBuilder>

      public interface PanelBuilder
      extends SingleComponentContainerBuilder<com.vaadin.ui.Panel,PanelBuilder>

  Builder to create `Panel` instances.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PanelBuilder` | `borderless()` Adds `borderless` and `light` style names to panel to render the panel without using borders or any other style.
    `PanelBuilder` | `tabIndex(int tabIndex)` Sets the tabulator index of the component.
    `<T extends com.vaadin.event.Action & com.vaadin.event.Action.Listener> PanelBuilder` | `withAction(T action)` Add an `Action` to the panel.
    `PanelBuilder` | `withActionHandler(com.vaadin.event.Action.Handler actionHandler)` Adds an Action `Action.Handler` to the panel
    `PanelBuilder` | `withClickListener(com.vaadin.event.MouseEvents.ClickListener listener)` Add a click listener to the Panel.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SingleComponentContainerBuilder

      `content, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization, dragSource, dropTarget`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### borderless

          PanelBuilder borderless()

      Adds `borderless` and `light` style names to panel to render the panel without using borders or any other style. In order to this method to work, current theme must correctly interpret these style names for panel rendering.

      Vaadin standard Reindeer and Valo themes are able to interpret above style name in the right way.

      Returns:
        this

    - #### tabIndex

          PanelBuilder tabIndex(int tabIndex)

      Sets the tabulator index of the component. The tab index property is used to specify the order in which the fields are focused when the user presses the Tab key. Components with a defined tab index are focused sequentially first, and then the components with no tab index.

      If the tab index is not set (is set to zero), the default tab order is used. The order is somewhat browser-dependent, but generally follows the HTML structure of the page.

      A negative value means that the component is completely removed from the tabulation order and can not be reached by pressing the Tab key at all.

      Parameters:
        `tabIndex` - The tab order of this component. Indexes usually start from 1. Zero means that default tab order should be used. A negative value means that the field should not be included in the tabbing sequence.
      Returns:
        this

    - #### withAction

          <T extends com.vaadin.event.Action & com.vaadin.event.Action.Listener> PanelBuilder withAction(T action)

      Add an `Action` to the panel.
      Type Parameters:
        `T` - Action type
      Parameters:
        `action` - Action to add
      Returns:
        this

    - #### withActionHandler

          PanelBuilder withActionHandler(com.vaadin.event.Action.Handler actionHandler)

      Adds an Action `Action.Handler` to the panel
      Parameters:
        `actionHandler` - Action handler to add
      Returns:
        this

    - #### withClickListener

          PanelBuilder withClickListener(com.vaadin.event.MouseEvents.ClickListener listener)

      Add a click listener to the Panel. The listener is called whenever the user clicks inside the Panel. Also when the click targets a component inside the Panel, provided the targeted component does not prevent the click event from propagating.
      Parameters:
        `listener` - Listener to add
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.